Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query
Class JcrSearch

    java.lang.Object
      org.modeshape.jcr.query.qom.JcrAbstractQuery
          org.modeshape.jcr.query.JcrSearch

All Implemented Interfaces:
  Query

    public class JcrSearch

extends JcrAbstractQuery

A `Query` implementation that represents a search.

Field Summary
`static int` | `MAXIMUM_RESULTS_FOR_FULL_TEXT_SEARCH_QUERIES`

Fields inherited from class org.modeshape.jcr.query.qom.JcrAbstractQuery
`context, language, statement`

Fields inherited from interface javax.jcr.query.Query
`JCR_JQOM, JCR_SQL2, SQL, XPATH`

Constructor Summary
`JcrSearch(JcrQueryContext context, String statement, String language, Path storedAtPath)` Creates a new JCR `Query` by specifying the query statement itself, the language in which the query is stated, the `QueryCommand` representation and, optionally, the node from which the query was loaded.

Method Summary
`void` | `bindValue(String varName, Value value)`
`QueryResult` | `execute()`
`String[]` | `getBindVariableNames()`
`void` | `setLimit(long limit)`
`void` | `setOffset(long offset)`
`String` | `toString()`

Methods inherited from class org.modeshape.jcr.query.qom.JcrAbstractQuery
`checkForProblems, context, getLanguage, getStatement, getStoredQueryPath, pathFor, storeAsNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAXIMUM_RESULTS_FOR_FULL_TEXT_SEARCH_QUERIES

    public static final int MAXIMUM_RESULTS_FOR_FULL_TEXT_SEARCH_QUERIES

See Also:
  Constant Field Values

Constructor Detail

### JcrSearch

    public JcrSearch(JcrQueryContext context,
                     String statement,
                     String language,
                     Path storedAtPath)

  Creates a new JCR `Query` by specifying the query statement itself, the language in which the query is stated, the `QueryCommand` representation and, optionally, the node from which the query was loaded. The language must be a string from among those returned by `QueryManager#getSupportedQueryLanguages()`.

  Parameters:
    `context` - the context that was used to create this query and that will be used to execute this query; may not be null
    `statement` - the original statement as supplied by the client; may not be null
    `language` - the language obtained from the `QueryParser`; may not be null
    `storedAtPath` - the path at which this query was stored, or null if this is not a stored query

Method Detail

### execute

    public QueryResult execute()
                        throws RepositoryException

  Throws:
    `RepositoryException`
  See Also:
    `Query.execute()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

### bindValue

    public void bindValue(String varName,
                          Value value)
                   throws IllegalArgumentException,
                          RepositoryException

  Throws:
    `IllegalArgumentException`
    `RepositoryException`

### getBindVariableNames

    public String[] getBindVariableNames()
                                  throws RepositoryException

  Throws:
    `RepositoryException`

### setLimit

    public void setLimit(long limit)

### setOffset

    public void setOffset(long offset)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.